#ifndef ZMULT_H
#define ZMULT_H "sparc"

#include "uint32.h"

extern void zmult_fpmode(void);
extern float zmult_alpha0;
extern float zmult_alpha8;
extern float zmult_alpha16;
extern float zmult_alpha24;
extern float zmult_alpha48;
extern float zmult_two44;
extern float zmult_two3[16];
extern float zmult_twom24;
extern float zmult_twom48;
extern float zmult_minustwom48;

extern void zmult_poly_2(double *,double *,double *,double *);
#define ZMULT_POLY_2_TMP 0
extern void zmult_poly_4(double *,double *,double *,double *);
#define ZMULT_POLY_4_TMP 0
extern void zmult_poly_8(double *,double *,double *,double *);
#define ZMULT_POLY_8_TMP 0
extern void zmult_poly_16(double *,double *,double *,double *);
#define ZMULT_POLY_16_TMP 0
extern void zmult_poly_32(double *,double *,double *,double *);
#define ZMULT_POLY_32_TMP 63
extern void zmult_poly_64(double *,double *,double *,double *);
#define ZMULT_POLY_64_TMP 190
extern void zmult_poly_128(double *,double *,double *,double *);
#define ZMULT_POLY_128_TMP 445
extern void zmult_poly_256(double *,double *,double *,double *);
#define ZMULT_POLY_256_TMP 956
extern void zmult_poly_512(double *,double *,double *,double *);
#define ZMULT_POLY_512_TMP 1979

extern void zmult_48_4_plus(double *,double *,double *,double *);
#define ZMULT_48_4_PLUS_TMP 16
extern void zmult_48_32_plus(double *,double *,double *,double *);
#define ZMULT_48_32_PLUS_TMP 176
extern void zmult_48_8192_plus(double *,double *,double *,double *);
#define ZMULT_48_8192_PLUS_TMP 33968

extern void zmult_4fft_8_0(double *);
extern void zmult_4fft_16_192(double *);
extern void zmult_4fft_16_carry(double *);
extern void zmult_4fft_un8_0(double *);
extern void zmult_4fft_un16_192(double *);

#endif
